Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2022-0326

Published: 21 January 2022

NULL Pointer Dereference in Homebrew mruby prior to 3.2.

Notes

AuthorNote
mdeslaur
mruby is not built in the nghttp2 packages in Ubuntu

Priority

Low

Cvss 3 Severity Score

5.5

Score breakdown

Status

Package Release Status
cargo
Launchpad, Ubuntu, Debian
bionic Not vulnerable
(uses sytem nghttp2)
focal Not vulnerable
(uses sytem nghttp2)
trusty Ignored
(end of standard support)
impish Ignored
(end of life)
upstream Not vulnerable
(code not present)
kinetic Ignored
(end of life, was needs-triage)
lunar Not vulnerable
(uses sytem nghttp2)
xenial Not vulnerable
(uses sytem nghttp2)
jammy Not vulnerable
(uses sytem nghttp2)
mantic Does not exist

groonga
Launchpad, Ubuntu, Debian
bionic Needs triage

focal Needs triage

jammy Needs triage

lunar Ignored
(end of life, was needs-triage)
trusty Ignored
(end of standard support)
upstream Needs triage

impish Ignored
(end of life)
kinetic Ignored
(end of life, was needs-triage)
xenial Needs triage

mantic Needs triage

h2o
Launchpad, Ubuntu, Debian
bionic Needs triage

focal Needs triage

jammy Needs triage

lunar Ignored
(end of life, was needs-triage)
trusty Ignored
(end of standard support)
upstream Needs triage

xenial Ignored
(end of standard support)
impish Ignored
(end of life)
kinetic Ignored
(end of life, was needs-triage)
mantic Needs triage

mruby
Launchpad, Ubuntu, Debian
bionic Needs triage

focal Needs triage

jammy Needs triage

trusty Ignored
(end of standard support)
upstream Needs triage

impish Ignored
(end of life)
kinetic Ignored
(end of life, was needs-triage)
xenial Needs triage

mantic Needs triage

lunar Ignored
(end of life, was needs-triage)
Patches:
upstream: https://github.com/mruby/mruby/commit/b611c43a5de061ec21b343967e1b64c45c373d7e
nghttp2
Launchpad, Ubuntu, Debian
jammy Not vulnerable
(code not compiled)
kinetic Not vulnerable
(code not compiled)
trusty Ignored
(end of standard support)
upstream Needs triage

impish Ignored
(end of life)
xenial Not vulnerable
(code not compiled)
bionic Not vulnerable
(code not compiled)
focal Not vulnerable
(code not compiled)
lunar Not vulnerable
(code not compiled)
mantic Not vulnerable
(code not compiled)

Severity score breakdown

Parameter Value
Base score 5.5
Attack vector Local
Attack complexity Low
Privileges required None
User interaction Required
Scope Unchanged
Confidentiality None
Integrity impact None
Availability impact High
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H